Subject: Re: bug#37153: 26.1; some png images scrambled

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Aug 2019 21:56:26 +0300

> From: Paul Eggert <[email-masked]>
> Date: Sun, 25 Aug 2019 11:38:07 -0700
> Cc: [email-masked]
> 
> > It seems to be necessary to look into the tRNS chunk data for paletted
> > images.  Again, W32 would need some more work.
> 
> Thanks, I confirmed that this fixes the misdisplay for me as well. I attempted 
> to port it to w32 (as well as to unusual libpng builds that do not define 
> PNG_tRNS_SUPPORTED) and installed the attached into master.

Thanks, this builds on MS-Windows, but the display of that PNG image
is still incorrect.

My guess is that some changes are needed in
image_create_x_image_and_pixmap_1, where there's a separate
implementation for HAVE_NTGUI.  But I have no idea what changes are
needed there.